package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.GenericCityObject;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllOtherObjectsNode extends Renderable{

    private final List<GenericCityObject> genericObjects;

    public AllOtherObjectsNode(List<GenericCityObject> genericObjects) {
        this.genericObjects = genericObjects;
    }

    @Override
    public void refreshTextColor() {
        boolean wasChecked = false;
        for (GenericCityObject gco : genericObjects) {
            if (gco.isValidated()) {
                wasChecked = true;
                if (gco.containsAnyError()) {
                    setStatus(CheckStatus.ERROR);
                    return;
                }
            }
        }
        if (wasChecked) {
            setStatus(CheckStatus.OK);
        } else {
            setStatus(CheckStatus.NOT_CHECKED);
        }
    }

    @Override
    public String getText() {
        return "GenericCityObjects";
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.clearCurrentRender();
    }

}
